Bug 231684 - (CVE-2007-1667) CVE-2007-1667 XGetPixel() integer overflow
CVE-2007-1667 XGetPixel() integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
David Lawrence
impact=moderate,source=debian,public=...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-09 17:36 EST by Josh Bressers
Modified: 2014-06-18 05:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2007-0125
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 15:15:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-03-09 17:36:55 EST
A bug recently showed up in the Debian BTS that describes an integer overflow in
X's XGetPixel() function

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=414045

The report incorrectly states it is a buffer overflow.  The bug also has a
proposed patch and reproducer for this flaw.

The issue is that the XInitImage() function allows the caller to supply silly
values, which can cause several integer overflow.  A call to XGetPixel() can
also result in integer overflows.  While one would expect the calling
application to sanitize the data passed to XInitImage(), the library should also
be smart enough to prevent the caller from giving it bad data.
Comment 1 Josh Bressers 2007-03-09 17:38:48 EST
This flaw should also affect RHEL2.1
Comment 2 Matěj Cepl 2007-03-12 19:35:39 EDT
Patches from the Debian bug were attached to the RHEL 5 clone of this bug -- bug
231694.
Comment 5 Red Hat Bugzilla 2007-04-03 15:15:18 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0125.html

Note You need to log in before you can comment on or make changes to this bug.